Name:		chrome-token-signing
Version:	1.0.8
Release:	%mkrel 1
Summary:	Estonian ID Card signing plugin for supported browsers
License:	LGPLv2
Group:		Networking/WWW
URL:		https://github.com/open-eid/chrome-token-signing
Source0:	https://github.com/open-eid/%{name}/archive/v%{version}.tar.gz

BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtbase5-common-devel

# fix mga#11352
Requires:	locales-et
Requires:	mozilla-esteid
Requires:	mozilla-filesystem

Recommends:	opensc
Recommends:	ccid
Recommends:	pcsc-lite

# Requires std::future
ExcludeArch:	armv5tl

%description
Estonian ID Card signing plugin for Chrome and other supported browsers.

%prep
%autosetup

%build
%make_build

%install
# Create directories
install -d %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium-browser/native-messaging-hosts
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/chromium/extensions
install -d %{buildroot}%{_datadir}/chromium-browser/extensions
install -d %{buildroot}%{_datadir}/google-chrome/extensions
install -d %{buildroot}%{_datadir}/mozilla/native-messaging-hosts
install -d %{buildroot}%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
install -d %{buildroot}%{_libdir}/mozilla/native-messaging-hosts

# Install files
install -D -c -p -m 755 ./host-linux/%{name} %{buildroot}%{_bindir}/
install -D -c -p -m 644 ./host-linux/ee.ria.esteid.json %{buildroot}%{_datadir}/%{name}/
install -D -c -p -m 644 ./host-linux/ff/ee.ria.esteid.json %{buildroot}%{_datadir}/mozilla/native-messaging-hosts/
install -D -c -p -m 644 ./ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/%{name}/
install -D -c -p -m 644 ./\{443830f0-1fff-4f9a-aa1e-444bafbc7319\}.xpi %{buildroot}%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}/
# This is temporary workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=1318461
install -D -c -p -m 644 ./host-linux/ff/ee.ria.esteid.json %{buildroot}%{_libdir}/mozilla/native-messaging-hosts/

# Create links
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/chromium-browser/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/chromium/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/chromium-browser/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/google-chrome/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json


%files
%doc LICENSE.LGPL RELEASE-NOTES.md
%{_sysconfdir}/opt/chrome/native-messaging-hosts
%{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/chromium-browser/native-messaging-hosts
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/chromium
%{_datadir}/chromium-browser
%{_datadir}/google-chrome
%{_datadir}/mozilla/native-messaging-hosts
%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/
%{_libdir}/mozilla/native-messaging-hosts/


%changelog
* Fri Jan 04 2019 sander85 <sander85> 1.0.8-1.mga6
+ Revision: 1349156
- New version: 1.0.8
- New version: 1.0.6

* Mon May 29 2017 sander85 <sander85> 1.0.4-0.b1.5.mga6
+ Revision: 1105458
- Require mozilla-esteid

* Thu May 18 2017 sander85 <sander85> 1.0.4-0.b1.4.mga6
+ Revision: 1103013
- Add some recommends + fix for mga#11352

* Wed Apr 05 2017 sander85 <sander85> 1.0.4-0.b1.3.mga6
+ Revision: 1095945
- Add workaround for bmo#1318461

* Tue Feb 07 2017 pterjan <pterjan> 1.0.4-0.b1.2.mga6
+ Revision: 1085061
- Exclude armv5tl

* Sat Jan 14 2017 sander85 <sander85> 1.0.4-0.b1.1.mga6
+ Revision: 1081619
- imported package chrome-token-signing

